lasblock(1)

NAME
lasblock - pre-process LAS files into blocks

SYNOPSIS
lasblock
[-h | [-c arg] [-p arg] -i arg [-o arg] [-v] ]

DESCRIPTION
lasblock displays LAS file details with optional output filters. While lasblock can do a few simple operations like updating header information, more drastic changes, like removing points or altering values, will require las2las(1).

OPTIONS

\FC-h\F[], \FC--help\F[]
    Produce help message

\FC-c\F[] arg, \FC--capacity\F[] arg
    Number of points to nominally put into each block (note that this number will not be exact). Default: 3000

\FC-p\F[] arg, \FC--precision\F[] arg
    Number of decimal points to write for each bbox. Default: 8

\FC-i\F[] arg, \FC--input\F[] arg
    input LAS file

\FC-o\F[] arg, \FC--output\F[] arg
    The output .kdx file (defaults to input filename + .kdx)

\FC-v\F[], \FC--verbose\F[]
    Verbose message output

EXAMPLE
Block a file, and write out blocks with 6 decimals of precision with a nominal capacity of 3000 points per block:

\FC
lasblock -c 3001 -p 6 myfile.las
      \F[]

Note. If no capacity is specified with \FC-c\F[], \FC10000\F[] is assumed.

Note. lasblock will always write out a \FCmyfile.las.kdx\F[] file name by default, but you can override the output name with a \FC-o\F[] command-line switch.